## org.springframework.aop.aspectj.annotation
Interface MetadataAwareAspectInstanceFactory

All Superinterfaces:
  AspectInstanceFactory, Ordered

All Known Implementing Classes:
  BeanFactoryAspectInstanceFactory, LazySingletonAspectInstanceFactoryDecorator, PrototypeAspectInstanceFactory, SimpleMetadataAwareAspectInstanceFactory, SingletonMetadataAwareAspectInstanceFactory

    public interface MetadataAwareAspectInstanceFactory

extends AspectInstanceFactory

Subinterface of `AspectInstanceFactory` that returns `AspectMetadata` associated with AspectJ-annotated classes.

Ideally, AspectInstanceFactory would include this method itself, but because AspectMetadata uses Java-5-only `AjType`, we need to split out this subinterface.

Since:
  2.0
Author:
  Rod Johnson
See Also:
  `AspectMetadata`, `AjType`

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Method Summary
`AspectMetadata` `getAspectMetadata()` Return the AspectJ AspectMetadata for this factory's aspect.

Methods inherited from interface org.springframework.aop.aspectj.AspectInstanceFactory
`getAspectClassLoader, getAspectInstance`

Methods inherited from interface org.springframework.core.Ordered
`getOrder`

Method Detail

### getAspectMetadata

    AspectMetadata getAspectMetadata()

  Return the AspectJ AspectMetadata for this factory's aspect.

  Returns:
    the aspect metadata